summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2014-02-28 18:10:11 +0000
committerMike Gilbert <floppym@gentoo.org>2014-02-28 18:10:11 +0000
commite160dba3dff2121bc60c981f2dc149aac472374d (patch)
treeafb24bee32ca83062427efd9f1af631be77b7121 /sys-boot/grub
parentStable for HPPA (bug #502902). (diff)
downloadgentoo-2-e160dba3dff2121bc60c981f2dc149aac472374d.tar.gz
gentoo-2-e160dba3dff2121bc60c981f2dc149aac472374d.tar.bz2
gentoo-2-e160dba3dff2121bc60c981f2dc149aac472374d.zip
Remove old ebuilds.
(Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 0BBEEA1FEA4843A4)
Diffstat (limited to 'sys-boot/grub')
-rw-r--r--sys-boot/grub/ChangeLog7
-rw-r--r--sys-boot/grub/grub-0.97-r10.ebuild291
-rw-r--r--sys-boot/grub/grub-0.97-r11.ebuild291
-rw-r--r--sys-boot/grub/grub-1.99-r2.ebuild340
-rw-r--r--sys-boot/grub/grub-2.00-r4.ebuild262
-rw-r--r--sys-boot/grub/grub-2.00_p5107.ebuild264
-rw-r--r--sys-boot/grub/grub-2.02_beta1-r1.ebuild318
7 files changed, 6 insertions, 1767 deletions
diff --git a/sys-boot/grub/ChangeLog b/sys-boot/grub/ChangeLog
index edff3ed9de48..c42e9d45031b 100644
--- a/sys-boot/grub/ChangeLog
+++ b/sys-boot/grub/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for sys-boot/grub
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/ChangeLog,v 1.305 2014/02/28 18:07:13 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/ChangeLog,v 1.306 2014/02/28 18:10:11 floppym Exp $
+
+ 28 Feb 2014; Mike Gilbert <floppym@gentoo.org> -grub-0.97-r10.ebuild,
+ -grub-0.97-r11.ebuild, -grub-1.99-r2.ebuild, -grub-2.00-r4.ebuild,
+ -grub-2.00_p5107.ebuild, -grub-2.02_beta1-r1.ebuild:
+ Remove old ebuilds.
28 Feb 2014; Mike Gilbert <floppym@gentoo.org> files/grub.default-3:
Add a couple of examples for GRUB_CMDLINE_LINUX.
diff --git a/sys-boot/grub/grub-0.97-r10.ebuild b/sys-boot/grub/grub-0.97-r10.ebuild
deleted file mode 100644
index 2f1523557434..000000000000
--- a/sys-boot/grub/grub-0.97-r10.ebuild
+++ /dev/null
@@ -1,291 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/grub-0.97-r10.ebuild,v 1.14 2012/05/31 00:01:18 vapier Exp $
-
-# XXX: we need to review menu.lst vs grub.conf handling. We've been converting
-# all systems to grub.conf (and symlinking menu.lst to grub.conf), but
-# we never updated any of the source code (it still all wants menu.lst),
-# and there is no indication that upstream is making the transition.
-
-# If you need to roll a new grub-static distfile, here is how.
-# - Robin H. Johnson <robbat2@gentoo.org> - 29 Nov 2010
-# USE='static -ncurses -netboot -custom-cflags' \
-# GRUB_STATIC_PACKAGE_BUILDING=1 ebuild \
-# grub-${PVR}.ebuild package && \
-# cp -f ${PKGDIR}/${CAT}/${PF}.tbz2 ${DISTDIR}/grub-static-${PVR}.tar.bz2
-
-inherit mount-boot eutils flag-o-matic toolchain-funcs autotools linux-info pax-utils multilib
-
-PATCHVER="1.12" # Should match the revision ideally
-DESCRIPTION="GNU GRUB Legacy boot loader"
-HOMEPAGE="http://www.gnu.org/software/grub/"
-SRC_URI="mirror://gentoo/${P}.tar.gz
- mirror://gnu-alpha/${PN}/${P}.tar.gz
- mirror://gentoo/splash.xpm.gz
- mirror://gentoo/${P}-patches-${PATCHVER}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86 ~x86-fbsd"
-IUSE="custom-cflags ncurses netboot static"
-
-RDEPEND="ncurses? (
- >=sys-libs/ncurses-5.2-r5
- amd64? ( app-emulation/emul-linux-x86-baselibs )
- )"
-DEPEND="${RDEPEND}"
-
-pkg_setup() {
- local arch="$(tc-arch)"
- case ${arch} in
- amd64) CONFIG_CHECK='~IA32_EMULATION' check_extra_config ;;
- esac
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- # patch breaks booting for some people #111885
- rm "${WORKDIR}"/patch/400_*reiser4*
-
- # Grub will not handle a kernel larger than EXTENDED_MEMSIZE Mb as
- # discovered in bug 160801. We can change this, however, using larger values
- # for this variable means that Grub needs more memory to run and boot. For a
- # kernel of size N, Grub needs (N+1)*2. Advanced users should set a custom
- # value in make.conf, it is possible to make kernels ~16Mb in size, but it
- # needs the kitchen sink built-in.
- local t="custom"
- if [[ -z ${GRUB_MAX_KERNEL_SIZE} ]] ; then
- case $(tc-arch) in
- amd64) GRUB_MAX_KERNEL_SIZE=9 ;;
- x86) GRUB_MAX_KERNEL_SIZE=5 ;;
- esac
- t="default"
- fi
- einfo "Grub will support the ${t} maximum kernel size of ${GRUB_MAX_KERNEL_SIZE} Mb (GRUB_MAX_KERNEL_SIZE)"
-
- sed -i \
- -e "/^#define.*EXTENDED_MEMSIZE/s,3,${GRUB_MAX_KERNEL_SIZE},g" \
- "${S}"/grub/asmstub.c \
- || die "Failed to hack memory size"
-
- if [[ -n ${PATCHVER} ]] ; then
- EPATCH_SUFFIX="patch"
- epatch "${WORKDIR}"/patch
- eautoreconf
- fi
-}
-
-src_compile() {
- filter-flags -fPIE #168834
-
- use amd64 && multilib_toolchain_setup x86
-
- unset BLOCK_SIZE #73499
-
- ### i686-specific code in the boot loader is a bad idea; disabling to ensure
- ### at least some compatibility if the hard drive is moved to an older or
- ### incompatible system.
-
- # grub-0.95 added -fno-stack-protector detection, to disable ssp for stage2,
- # but the objcopy's (faulty) test fails if -fstack-protector is default.
- # create a cache telling configure that objcopy is ok, and add -C to econf
- # to make use of the cache.
- #
- # CFLAGS has to be undefined running econf, else -fno-stack-protector detection fails.
- # STAGE2_CFLAGS is not allowed to be used on emake command-line, it overwrites
- # -fno-stack-protector detected by configure, removed from netboot's emake.
- use custom-cflags || unset CFLAGS
-
- export grub_cv_prog_objcopy_absolute=yes #79734
- use static && append-ldflags -static
-
- # Per bug 216625, the emul packages do not provide .a libs for performing
- # suitable static linking
- if use amd64 && use static ; then
- if [ -z "${GRUB_STATIC_PACKAGE_BUILDING}" ]; then
- die "You must use the grub-static package if you want a static Grub on amd64!"
- else
- eerror "You have set GRUB_STATIC_PACKAGE_BUILDING. This"
- eerror "is specifically intended for building the tarballs for the"
- eerror "grub-static package via USE='static -ncurses'."
- eerror "All bets are now off."
- ebeep 10
- fi
- fi
-
- # build the net-bootable grub first, but only if "netboot" is set
- if use netboot ; then
- econf \
- --libdir=/lib \
- --datadir=/usr/lib/grub \
- --exec-prefix=/ \
- --disable-auto-linux-mem-opt \
- --enable-diskless \
- --enable-{3c{5{03,07,09,29,95},90x},cs89x0,davicom,depca,eepro{,100}} \
- --enable-{epic100,exos205,ni5210,lance,ne2100,ni{50,65}10,natsemi} \
- --enable-{ne,ns8390,wd,otulip,rtl8139,sis900,sk-g16,smc9000,tiara} \
- --enable-{tulip,via-rhine,w89c840} || die "netboot econf failed"
-
- emake w89c840_o_CFLAGS="-O" || die "making netboot stuff"
-
- mv -f stage2/{nbgrub,pxegrub} "${S}"/
- mv -f stage2/stage2 stage2/stage2.netboot
-
- make clean || die "make clean failed"
- fi
-
- # Now build the regular grub
- # Note that FFS and UFS2 support are broken for now - stage1_5 files too big
- econf \
- --libdir=/lib \
- --datadir=/usr/lib/grub \
- --exec-prefix=/ \
- --disable-auto-linux-mem-opt \
- $(use_with ncurses curses) \
- || die "econf failed"
-
- # sanity check due to common failure
- use ncurses && ! grep -qs "HAVE_LIBCURSES.*1" config.h && die "USE=ncurses but curses not found"
-
- emake || die "making regular stuff"
-}
-
-src_test() {
- # non-default block size also give false pass/fails.
- unset BLOCK_SIZE
- make check || die "make check failed"
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die
- if use netboot ; then
- exeinto /usr/lib/grub/${CHOST}
- doexe nbgrub pxegrub stage2/stage2.netboot || die "netboot install"
- fi
-
- # bug 330745
- pax-mark -m "${D}"/sbin/grub
-
- dodoc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
- newdoc docs/menu.lst grub.conf.sample
- dodoc "${FILESDIR}"/grub.conf.gentoo
- prepalldocs
-
- [ -n "${GRUB_STATIC_PACKAGE_BUILDING}" ] && \
- mv \
- "${D}"/usr/share/doc/${PF} \
- "${D}"/usr/share/doc/grub-static-${PF/grub-}
-
- insinto /usr/share/grub
- doins "${DISTDIR}"/splash.xpm.gz
-}
-
-setup_boot_dir() {
- local boot_dir=$1
- local dir=${boot_dir}
-
- mkdir -p "${dir}"
- [[ ! -L ${dir}/boot ]] && ln -s . "${dir}/boot"
- dir="${dir}/grub"
- if [[ ! -e ${dir} ]] ; then
- mkdir "${dir}" || die "${dir} does not exist!"
- fi
-
- # change menu.lst to grub.conf
- if [[ ! -e ${dir}/grub.conf ]] && [[ -e ${dir}/menu.lst ]] ; then
- mv -f "${dir}"/menu.lst "${dir}"/grub.conf
- ewarn
- ewarn "*** IMPORTANT NOTE: menu.lst has been renamed to grub.conf"
- ewarn
- fi
-
- if [[ ! -e ${dir}/menu.lst ]]; then
- einfo "Linking from new grub.conf name to menu.lst"
- ln -snf grub.conf "${dir}"/menu.lst
- fi
-
- if [[ -e ${dir}/stage2 ]] ; then
- mv "${dir}"/stage2{,.old}
- ewarn "*** IMPORTANT NOTE: you must run grub and install"
- ewarn "the new version's stage1 to your MBR. Until you do,"
- ewarn "stage1 and stage2 will still be the old version, but"
- ewarn "later stages will be the new version, which could"
- ewarn "cause problems such as an unbootable system."
- ewarn "This means you must use either grub-install or perform"
- ewarn "root/setup manually! For more help, see the handbook:"
- ewarn "http://www.gentoo.org/doc/en/handbook/handbook-${ARCH}.xml?part=1&chap=10#grub-install-auto"
- ebeep
- fi
-
- einfo "Copying files from /lib/grub, /usr/lib/grub and /usr/share/grub to ${dir}"
- for x in \
- "${ROOT}"/lib*/grub/*/* \
- "${ROOT}"/usr/lib*/grub/*/* \
- "${ROOT}"/usr/share/grub/* ; do
- [[ -f ${x} ]] && cp -p "${x}" "${dir}"/
- done
-
- if [[ ! -e ${dir}/grub.conf ]] ; then
- s="${ROOT}/usr/share/doc/${PF}/grub.conf.gentoo"
- [[ -e "${s}" ]] && cat "${s}" >${dir}/grub.conf
- [[ -e "${s}.gz" ]] && zcat "${s}.gz" >${dir}/grub.conf
- [[ -e "${s}.bz2" ]] && bzcat "${s}.bz2" >${dir}/grub.conf
- fi
-
- # Per bug 218599, we support grub.conf.install for users that want to run a
- # specific set of Grub setup commands rather than the default ones.
- grub_config=${dir}/grub.conf.install
- [[ -e ${grub_config} ]] || grub_config=${dir}/grub.conf
- if [[ -e ${grub_config} ]] ; then
- egrep \
- -v '^[[:space:]]*(#|$|default|fallback|initrd|password|splashimage|timeout|title)' \
- "${grub_config}" | \
- /sbin/grub --batch \
- --device-map="${dir}"/device.map \
- > /dev/null
- fi
-
- # the grub default commands silently piss themselves if
- # the default file does not exist ahead of time
- if [[ ! -e ${dir}/default ]] ; then
- grub-set-default --root-directory="${boot_dir}" default
- fi
- einfo "Grub has been installed to ${boot_dir} successfully."
-}
-
-pkg_postinst() {
- mount-boot_mount_boot_partition
-
- if [[ -n ${DONT_MOUNT_BOOT} ]]; then
- elog "WARNING: you have DONT_MOUNT_BOOT in effect, so you must apply"
- elog "the following instructions for your /boot!"
- elog "Neglecting to do so may cause your system to fail to boot!"
- elog
- else
- setup_boot_dir "${ROOT}"/boot
- # Trailing output because if this is run from pkg_postinst, it gets mixed into
- # the other output.
- einfo ""
- fi
- elog "To interactively install grub files to another device such as a USB"
- elog "stick, just run the following and specify the directory as prompted:"
- elog " emerge --config =${PF}"
- elog "Alternately, you can export GRUB_ALT_INSTALLDIR=/path/to/use to tell"
- elog "grub where to install in a non-interactive way."
-
- # needs to be after we call setup_boot_dir
- mount-boot_pkg_postinst
-}
-
-pkg_config() {
- local dir
- if [ ! -d "${GRUB_ALT_INSTALLDIR}" ]; then
- einfo "Enter the directory where you want to setup grub:"
- read dir
- else
- dir="${GRUB_ALT_INSTALLDIR}"
- fi
- setup_boot_dir "${dir}"
-}
diff --git a/sys-boot/grub/grub-0.97-r11.ebuild b/sys-boot/grub/grub-0.97-r11.ebuild
deleted file mode 100644
index 74d4128314a1..000000000000
--- a/sys-boot/grub/grub-0.97-r11.ebuild
+++ /dev/null
@@ -1,291 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/grub-0.97-r11.ebuild,v 1.3 2012/05/31 00:01:18 vapier Exp $
-
-# XXX: we need to review menu.lst vs grub.conf handling. We've been converting
-# all systems to grub.conf (and symlinking menu.lst to grub.conf), but
-# we never updated any of the source code (it still all wants menu.lst),
-# and there is no indication that upstream is making the transition.
-
-# If you need to roll a new grub-static distfile, here is how.
-# - Robin H. Johnson <robbat2@gentoo.org> - 29 Nov 2010
-# USE='static -ncurses -netboot -custom-cflags' \
-# GRUB_STATIC_PACKAGE_BUILDING=1 ebuild \
-# grub-${PVR}.ebuild package && \
-# cp -f ${PKGDIR}/${CAT}/${PF}.tbz2 ${DISTDIR}/grub-static-${PVR}.tar.bz2
-
-inherit mount-boot eutils flag-o-matic toolchain-funcs autotools linux-info pax-utils multilib
-
-PATCHVER="1.13" # Should match the revision ideally
-DESCRIPTION="GNU GRUB Legacy boot loader"
-HOMEPAGE="http://www.gnu.org/software/grub/"
-SRC_URI="mirror://gentoo/${P}.tar.gz
- mirror://gnu-alpha/${PN}/${P}.tar.gz
- mirror://gentoo/splash.xpm.gz
- mirror://gentoo/${P}-patches-${PATCHVER}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~x86-fbsd"
-IUSE="custom-cflags ncurses netboot static"
-
-RDEPEND="ncurses? (
- >=sys-libs/ncurses-5.2-r5
- amd64? ( app-emulation/emul-linux-x86-baselibs )
- )"
-DEPEND="${RDEPEND}"
-
-pkg_setup() {
- local arch="$(tc-arch)"
- case ${arch} in
- amd64) CONFIG_CHECK='~IA32_EMULATION' check_extra_config ;;
- esac
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- # patch breaks booting for some people #111885
- rm "${WORKDIR}"/patch/400_*reiser4*
-
- # Grub will not handle a kernel larger than EXTENDED_MEMSIZE Mb as
- # discovered in bug 160801. We can change this, however, using larger values
- # for this variable means that Grub needs more memory to run and boot. For a
- # kernel of size N, Grub needs (N+1)*2. Advanced users should set a custom
- # value in make.conf, it is possible to make kernels ~16Mb in size, but it
- # needs the kitchen sink built-in.
- local t="custom"
- if [[ -z ${GRUB_MAX_KERNEL_SIZE} ]] ; then
- case $(tc-arch) in
- amd64) GRUB_MAX_KERNEL_SIZE=9 ;;
- x86) GRUB_MAX_KERNEL_SIZE=5 ;;
- esac
- t="default"
- fi
- einfo "Grub will support the ${t} maximum kernel size of ${GRUB_MAX_KERNEL_SIZE} Mb (GRUB_MAX_KERNEL_SIZE)"
-
- sed -i \
- -e "/^#define.*EXTENDED_MEMSIZE/s,3,${GRUB_MAX_KERNEL_SIZE},g" \
- "${S}"/grub/asmstub.c \
- || die "Failed to hack memory size"
-
- if [[ -n ${PATCHVER} ]] ; then
- EPATCH_SUFFIX="patch"
- epatch "${WORKDIR}"/patch
- eautoreconf
- fi
-}
-
-src_compile() {
- filter-flags -fPIE #168834
-
- use amd64 && multilib_toolchain_setup x86
-
- unset BLOCK_SIZE #73499
-
- ### i686-specific code in the boot loader is a bad idea; disabling to ensure
- ### at least some compatibility if the hard drive is moved to an older or
- ### incompatible system.
-
- # grub-0.95 added -fno-stack-protector detection, to disable ssp for stage2,
- # but the objcopy's (faulty) test fails if -fstack-protector is default.
- # create a cache telling configure that objcopy is ok, and add -C to econf
- # to make use of the cache.
- #
- # CFLAGS has to be undefined running econf, else -fno-stack-protector detection fails.
- # STAGE2_CFLAGS is not allowed to be used on emake command-line, it overwrites
- # -fno-stack-protector detected by configure, removed from netboot's emake.
- use custom-cflags || unset CFLAGS
-
- export grub_cv_prog_objcopy_absolute=yes #79734
- use static && append-ldflags -static
-
- # Per bug 216625, the emul packages do not provide .a libs for performing
- # suitable static linking
- if use amd64 && use static ; then
- if [ -z "${GRUB_STATIC_PACKAGE_BUILDING}" ]; then
- die "You must use the grub-static package if you want a static Grub on amd64!"
- else
- eerror "You have set GRUB_STATIC_PACKAGE_BUILDING. This"
- eerror "is specifically intended for building the tarballs for the"
- eerror "grub-static package via USE='static -ncurses'."
- eerror "All bets are now off."
- ebeep 10
- fi
- fi
-
- # build the net-bootable grub first, but only if "netboot" is set
- if use netboot ; then
- econf \
- --libdir=/lib \
- --datadir=/usr/lib/grub \
- --exec-prefix=/ \
- --disable-auto-linux-mem-opt \
- --enable-diskless \
- --enable-{3c{5{03,07,09,29,95},90x},cs89x0,davicom,depca,eepro{,100}} \
- --enable-{epic100,exos205,ni5210,lance,ne2100,ni{50,65}10,natsemi} \
- --enable-{ne,ns8390,wd,otulip,rtl8139,sis900,sk-g16,smc9000,tiara} \
- --enable-{tulip,via-rhine,w89c840} || die "netboot econf failed"
-
- emake w89c840_o_CFLAGS="-O" || die "making netboot stuff"
-
- mv -f stage2/{nbgrub,pxegrub} "${S}"/
- mv -f stage2/stage2 stage2/stage2.netboot
-
- make clean || die "make clean failed"
- fi
-
- # Now build the regular grub
- # Note that FFS and UFS2 support are broken for now - stage1_5 files too big
- econf \
- --libdir=/lib \
- --datadir=/usr/lib/grub \
- --exec-prefix=/ \
- --disable-auto-linux-mem-opt \
- $(use_with ncurses curses) \
- || die "econf failed"
-
- # sanity check due to common failure
- use ncurses && ! grep -qs "HAVE_LIBCURSES.*1" config.h && die "USE=ncurses but curses not found"
-
- emake || die "making regular stuff"
-}
-
-src_test() {
- # non-default block size also give false pass/fails.
- unset BLOCK_SIZE
- make check || die "make check failed"
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die
- if use netboot ; then
- exeinto /usr/lib/grub/${CHOST}
- doexe nbgrub pxegrub stage2/stage2.netboot || die "netboot install"
- fi
-
- # bug 330745
- pax-mark -m "${D}"/sbin/grub
-
- dodoc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
- newdoc docs/menu.lst grub.conf.sample
- dodoc "${FILESDIR}"/grub.conf.gentoo
- prepalldocs
-
- [ -n "${GRUB_STATIC_PACKAGE_BUILDING}" ] && \
- mv \
- "${D}"/usr/share/doc/${PF} \
- "${D}"/usr/share/doc/grub-static-${PF/grub-}
-
- insinto /usr/share/grub
- doins "${DISTDIR}"/splash.xpm.gz
-}
-
-setup_boot_dir() {
- local boot_dir=$1
- local dir=${boot_dir}
-
- mkdir -p "${dir}"
- [[ ! -L ${dir}/boot ]] && ln -s . "${dir}/boot"
- dir="${dir}/grub"
- if [[ ! -e ${dir} ]] ; then
- mkdir "${dir}" || die "${dir} does not exist!"
- fi
-
- # change menu.lst to grub.conf
- if [[ ! -e ${dir}/grub.conf ]] && [[ -e ${dir}/menu.lst ]] ; then
- mv -f "${dir}"/menu.lst "${dir}"/grub.conf
- ewarn
- ewarn "*** IMPORTANT NOTE: menu.lst has been renamed to grub.conf"
- ewarn
- fi
-
- if [[ ! -e ${dir}/menu.lst ]]; then
- einfo "Linking from new grub.conf name to menu.lst"
- ln -snf grub.conf "${dir}"/menu.lst
- fi
-
- if [[ -e ${dir}/stage2 ]] ; then
- mv "${dir}"/stage2{,.old}
- ewarn "*** IMPORTANT NOTE: you must run grub and install"
- ewarn "the new version's stage1 to your MBR. Until you do,"
- ewarn "stage1 and stage2 will still be the old version, but"
- ewarn "later stages will be the new version, which could"
- ewarn "cause problems such as an unbootable system."
- ewarn "This means you must use either grub-install or perform"
- ewarn "root/setup manually! For more help, see the handbook:"
- ewarn "http://www.gentoo.org/doc/en/handbook/handbook-${ARCH}.xml?part=1&chap=10#grub-install-auto"
- ebeep
- fi
-
- einfo "Copying files from /lib/grub, /usr/lib/grub and /usr/share/grub to ${dir}"
- for x in \
- "${ROOT}"/lib*/grub/*/* \
- "${ROOT}"/usr/lib*/grub/*/* \
- "${ROOT}"/usr/share/grub/* ; do
- [[ -f ${x} ]] && cp -p "${x}" "${dir}"/
- done
-
- if [[ ! -e ${dir}/grub.conf ]] ; then
- s="${ROOT}/usr/share/doc/${PF}/grub.conf.gentoo"
- [[ -e "${s}" ]] && cat "${s}" >${dir}/grub.conf
- [[ -e "${s}.gz" ]] && zcat "${s}.gz" >${dir}/grub.conf
- [[ -e "${s}.bz2" ]] && bzcat "${s}.bz2" >${dir}/grub.conf
- fi
-
- # Per bug 218599, we support grub.conf.install for users that want to run a
- # specific set of Grub setup commands rather than the default ones.
- grub_config=${dir}/grub.conf.install
- [[ -e ${grub_config} ]] || grub_config=${dir}/grub.conf
- if [[ -e ${grub_config} ]] ; then
- egrep \
- -v '^[[:space:]]*(#|$|default|fallback|initrd|password|splashimage|timeout|title)' \
- "${grub_config}" | \
- /sbin/grub --batch \
- --device-map="${dir}"/device.map \
- > /dev/null
- fi
-
- # the grub default commands silently piss themselves if
- # the default file does not exist ahead of time
- if [[ ! -e ${dir}/default ]] ; then
- grub-set-default --root-directory="${boot_dir}" default
- fi
- einfo "Grub has been installed to ${boot_dir} successfully."
-}
-
-pkg_postinst() {
- mount-boot_mount_boot_partition
-
- if [[ -n ${DONT_MOUNT_BOOT} ]]; then
- elog "WARNING: you have DONT_MOUNT_BOOT in effect, so you must apply"
- elog "the following instructions for your /boot!"
- elog "Neglecting to do so may cause your system to fail to boot!"
- elog
- else
- setup_boot_dir "${ROOT}"/boot
- # Trailing output because if this is run from pkg_postinst, it gets mixed into
- # the other output.
- einfo ""
- fi
- elog "To interactively install grub files to another device such as a USB"
- elog "stick, just run the following and specify the directory as prompted:"
- elog " emerge --config =${PF}"
- elog "Alternately, you can export GRUB_ALT_INSTALLDIR=/path/to/use to tell"
- elog "grub where to install in a non-interactive way."
-
- # needs to be after we call setup_boot_dir
- mount-boot_pkg_postinst
-}
-
-pkg_config() {
- local dir
- if [ ! -d "${GRUB_ALT_INSTALLDIR}" ]; then
- einfo "Enter the directory where you want to setup grub:"
- read dir
- else
- dir="${GRUB_ALT_INSTALLDIR}"
- fi
- setup_boot_dir "${dir}"
-}
diff --git a/sys-boot/grub/grub-1.99-r2.ebuild b/sys-boot/grub/grub-1.99-r2.ebuild
deleted file mode 100644
index b9e7d4988a5e..000000000000
--- a/sys-boot/grub/grub-1.99-r2.ebuild
+++ /dev/null
@@ -1,340 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/grub-1.99-r2.ebuild,v 1.12 2012/05/31 00:01:18 vapier Exp $
-
-EAPI=4
-
-if [[ ${PV} == "9999" ]] ; then
- EBZR_REPO_URI="http://bzr.savannah.gnu.org/r/grub/trunk/grub/"
- LIVE_ECLASS="bzr"
- SRC_URI=""
- DO_AUTORECONF="true"
-else
- MY_P=${P/_/\~}
- SRC_URI="mirror://gnu/${PN}/${MY_P}.tar.xz
- mirror://gentoo/${MY_P}.tar.xz"
- # Masked until documentation guys consolidate the guide and approve
- # it for usage.
- #KEYWORDS="~amd64 ~mips ~x86"
- S=${WORKDIR}/${MY_P}
-fi
-
-inherit mount-boot eutils flag-o-matic pax-utils toolchain-funcs multilib ${DO_AUTORECONF:+autotools} ${LIVE_ECLASS}
-unset LIVE_ECLASS
-
-DESCRIPTION="GNU GRUB boot loader"
-HOMEPAGE="http://www.gnu.org/software/grub/"
-
-LICENSE="GPL-3"
-SLOT="2"
-IUSE="custom-cflags debug device-mapper efiemu nls static sdl truetype"
-
-GRUB_PLATFORMS=(
- # everywhere:
- emu
- # mips only:
- qemu-mips yeeloong
- # amd64, x86, ppc, ppc64:
- ieee1275
- # amd64, x86:
- coreboot multiboot efi-32 pc qemu
- # amd64:
- efi-64
-)
-IUSE+=" ${GRUB_PLATFORMS[@]/#/grub_platforms_}"
-
-# os-prober: Used on runtime to detect other OSes
-# xorriso (dev-libs/libisoburn): Used on runtime for mkrescue
-RDEPEND="
- dev-libs/libisoburn
- dev-libs/lzo
- sys-boot/os-prober
- >=sys-libs/ncurses-5.2-r5
- debug? (
- sdl? ( media-libs/libsdl )
- )
- device-mapper? ( >=sys-fs/lvm2-2.02.45 )
- truetype? ( media-libs/freetype >=media-fonts/unifont-5 )
- ppc? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )
- ppc64? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )"
-DEPEND="${RDEPEND}
- >=dev-lang/python-2.5.2
- sys-devel/flex
- virtual/yacc
- sys-apps/texinfo
-"
-if [[ -n ${DO_AUTORECONF} ]] ; then
- DEPEND+=" >=sys-devel/autogen-5.10 sys-apps/help2man"
-else
- DEPEND+=" app-arch/xz-utils"
-fi
-
-export STRIP_MASK="*/grub*/*/*.{mod,img}"
-QA_EXECSTACK="
- lib64/grub2/*/setjmp.mod
- lib64/grub2/*/kernel.img
- sbin/grub2-probe
- sbin/grub2-setup
- sbin/grub2-mkdevicemap
- bin/grub2-script-check
- bin/grub2-fstest
- bin/grub2-mklayout
- bin/grub2-menulst2cfg
- bin/grub2-mkrelpath
- bin/grub2-mkpasswd-pbkdf2
- bin/grub2-mkfont
- bin/grub2-editenv
- bin/grub2-mkimage
-"
-
-QA_WX_LOAD="
- lib*/grub2/*/kernel.img
- lib*/grub2/*/setjmp.mod
-"
-
-grub_run_phase() {
- local phase=$1
- local platform=$2
- [[ -z ${phase} || -z ${platform} ]] && die "${FUNCNAME} [phase] [platform]"
-
- [[ -d "${WORKDIR}/build-${platform}" ]] || \
- { mkdir "${WORKDIR}/build-${platform}" || die ; }
- pushd "${WORKDIR}/build-${platform}" > /dev/null || die
-
- echo ">>> Running ${phase} for platform \"${platform}\""
- echo ">>> Working in: \"${WORKDIR}/build-${platform}\""
-
- grub_${phase} ${platform}
-
- popd > /dev/null || die
-}
-
-grub_src_configure() {
- local platform=$1
- local target
-
- [[ -z ${platform} ]] && die "${FUNCNAME} [platform]"
-
- # if we have no platform then --with-platform=guessed does not work
- [[ ${platform} == "guessed" ]] && platform=""
-
- # check if we have to specify the target (EFI)
- # or just append correct --with-platform
- if [[ -n ${platform} ]]; then
- if [[ ${platform} == efi* ]]; then
- # EFI platform hack
- [[ ${platform/*-} == 32 ]] && target=i386
- [[ ${platform/*-} == 64 ]] && target=x86_64
- # program-prefix is required empty because otherwise it is equal to
- # target variable, which we do not want at all
- platform="
- --with-platform=${platform/-*}
- --target=${target}
- --program-prefix=
- "
- else
- platform=" --with-platform=${platform}"
- fi
- fi
-
- ECONF_SOURCE="${WORKDIR}/${P}/" \
- econf \
- --disable-werror \
- --sbindir=/sbin \
- --bindir=/bin \
- --libdir=/$(get_libdir) \
- --program-transform-name=s,grub,grub2, \
- $(use_enable debug mm-debug) \
- $(use_enable debug grub-emu-usb) \
- $(use_enable device-mapper) \
- $(use_enable efiemu) \
- $(use_enable nls) \
- $(use_enable truetype grub-mkfont) \
- $(use sdl && use_enable debug grub-emu-sdl) \
- ${platform}
-}
-
-grub_src_compile() {
- default_src_compile
-}
-
-grub_src_install() {
- default_src_install
-}
-
-src_prepare() {
- local i j archs
-
- epatch \
- "${FILESDIR}/1.99-call_proper_grub_probe.patch" \
- "${FILESDIR}/1.99-improve_devmapper.patch" \
- "${FILESDIR}/1.99-do_not_stat_so_often.patch" \
- "${FILESDIR}/1.99-stat_root_device_properly-p1.patch" \
- "${FILESDIR}/1.99-stat_root_device_properly-p2.patch"
-
- epatch_user
-
- # fix texinfo file name, as otherwise the grub2.info file will be
- # useless
- sed -i \
- -e '/setfilename/s:grub.info:grub2.info:' \
- -e 's:(grub):(grub2):' \
- "${S}"/docs/grub.texi
-
- # autogen.sh does more than just run autotools
- if [[ -n ${DO_AUTORECONF} ]] ; then
- sed -i -e '/^autoreconf/s:^:set +e; e:' autogen.sh || die
- (. ./autogen.sh) || die
- fi
-
- # install into the right dir for eselect #372735
- sed -i \
- -e '/^bashcompletiondir =/s:=.*:= $(datarootdir)/bash-completion:' \
- util/bash-completion.d/Makefile.in || die
-
- # get enabled platforms
- GRUB_ENABLED_PLATFORMS=""
- for i in ${GRUB_PLATFORMS[@]}; do
- use grub_platforms_${i} && GRUB_ENABLED_PLATFORMS+=" ${i}"
- done
- [[ -z ${GRUB_ENABLED_PLATFORMS} ]] && GRUB_ENABLED_PLATFORMS="guessed"
- elog "Going to build following platforms: ${GRUB_ENABLED_PLATFORMS}"
-}
-
-src_configure() {
- local i
-
- use custom-cflags || unset CFLAGS CPPFLAGS LDFLAGS
- use static && append-ldflags -static
-
- for i in ${GRUB_ENABLED_PLATFORMS}; do
- grub_run_phase ${FUNCNAME} ${i}
- done
-}
-
-src_compile() {
- local i
-
- for i in ${GRUB_ENABLED_PLATFORMS}; do
- grub_run_phase ${FUNCNAME} ${i}
- done
-}
-
-src_install() {
- local i
-
- for i in ${GRUB_ENABLED_PLATFORMS}; do
- grub_run_phase ${FUNCNAME} ${i}
- done
-
- # No need to move the info file with the live ebuild since we
- # already changed the generated file name during the preparation
- # phase.
- if [[ ${PV} != "9999" ]]; then
- # slot all collisions with grub legacy
- mv "${ED}"/usr/share/info/grub.info \
- "${ED}"/usr/share/info/grub2.info || die
- fi
-
- # Do pax marking
- local PAX=(
- "sbin/grub2-probe"
- "sbin/grub2-setup"
- "sbin/grub2-mkdevicemap"
- "bin/grub2-script-check"
- "bin/grub2-fstest"
- "bin/grub2-mklayout"
- "bin/grub2-menulst2cfg"
- "bin/grub2-mkrelpath"
- "bin/grub2-mkpasswd-pbkdf2"
- "bin/grub2-editenv"
- "bin/grub2-mkimage"
- )
- for e in ${PAX[@]}; do
- pax-mark -mpes "${ED}/${e}"
- done
-
- # can't be in docs array as we use default_src_install in different builddir
- dodoc AUTHORS ChangeLog NEWS README THANKS TODO
- insinto /etc/default
- newins "${FILESDIR}"/grub.default grub
- cat <<EOF >> "${ED}"/lib*/grub2/grub-mkconfig_lib
- GRUB_DISTRIBUTOR="Gentoo"
-EOF
-
- elog
- elog "To configure GRUB 2, check the defaults in /etc/default/grub and"
- elog "then run 'emerge --config =${CATEGORY}/${PF}'."
-
- # display the link to guide
- show_doc_url
-}
-
-show_doc_url() {
- elog
- elog "For informations how to configure grub-2 please refer to the guide:"
- elog " http://wiki.gentoo.org/wiki/GRUB2"
-}
-
-setup_boot_dir() {
- local dir=$1
- local use_legacy='n'
-
- # Make sure target directory exists
- mkdir -p "${dir}"
-
- if [[ -e ${dir/2/}/menu.lst ]] ; then
- # Legacy config exists, ask user what to do
- einfo "Found legacy GRUB configuration. Do you want to convert it"
- einfo "instead of using autoconfig (y/N)?"
- read use_legacy
-
- use_legacy=${use_legacy,,[A-Z]}
- fi
-
- if [[ ${use_legacy} == y* ]] ; then
- grub1_cfg=${dir/2/}/menu.lst
- grub2_cfg=${dir}/grub.cfg
-
- # GRUB legacy configuration exists. Use it instead of doing
- # our normal autoconfigure.
- #
-
- einfo "Converting legacy config at '${grub1_cfg}' for use by GRUB2."
- ebegin "Running: grub2-menulst2cfg '${grub1_cfg}' '${grub2_cfg}'"
- grub2-menulst2cfg "${grub1_cfg}" "${grub2_cfg}" &> /dev/null
- eend $?
-
- ewarn
- ewarn "Even though the conversion above succeeded, you are STRONGLY"
- ewarn "URGED to upgrade to the new GRUB2 configuration format."
-
- # Remind the user about the documentation
- show_doc_url
- else
- # Run GRUB 2 autoconfiguration
- einfo "Running GRUB 2 autoconfiguration."
- ebegin "grub2-mkconfig -o '${dir}/grub.cfg'"
- grub2-mkconfig -o "${dir}/grub.cfg" &> /dev/null
- eend $?
- fi
-
- einfo
- einfo "Remember to run grub2-install to activate GRUB2 as your default"
- einfo "bootloader."
-}
-
-pkg_config() {
- local dir
-
- mount-boot_mount_boot_partition
-
- einfo "Enter the directory where you want to setup grub2 ('${ROOT}boot/grub2/'):"
- read dir
-
- [[ -z ${dir} ]] && dir="${ROOT}"boot/grub2
-
- setup_boot_dir "${dir}"
-
- mount-boot_pkg_postinst
-}
diff --git a/sys-boot/grub/grub-2.00-r4.ebuild b/sys-boot/grub/grub-2.00-r4.ebuild
deleted file mode 100644
index 4cd9dca09857..000000000000
--- a/sys-boot/grub/grub-2.00-r4.ebuild
+++ /dev/null
@@ -1,262 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/grub-2.00-r4.ebuild,v 1.3 2013/08/14 09:16:56 patrick Exp $
-
-EAPI=5
-AUTOTOOLS_AUTO_DEPEND=yes
-
-inherit autotools-utils bash-completion-r1 eutils flag-o-matic multibuild pax-utils toolchain-funcs
-
-if [[ ${PV} != 9999 ]]; then
- MY_P=${P/_/\~}
- if [[ ${PV} == *_alpha* || ${PV} == *_beta* || ${PV} == *_rc* ]]; then
- SRC_URI="mirror://gnu-alpha/${PN}/${MY_P}.tar.xz"
- else
- SRC_URI="mirror://gnu/${PN}/${MY_P}.tar.xz
- mirror://gentoo/${MY_P}.tar.xz"
- fi
- KEYWORDS="~amd64 ~x86"
- S=${WORKDIR}/${MY_P}
- PATCHES=(
- "${FILESDIR}/${P}-parallel-make.patch" #424231
- "${FILESDIR}/${P}-no-gets.patch" #424703
- "${FILESDIR}/${P}-config-quoting.patch" #426364
- "${FILESDIR}/${P}-tftp-endian.patch" # 438612
- "${FILESDIR}/${P}-hardcoded-awk.patch" #424137
- "${FILESDIR}/${P}-freebsd.patch" #442050
- "${FILESDIR}/${P}-compression.patch" #424527
- "${FILESDIR}/${P}-zfs-feature-flag-support-r1.patch" #455358
- "${FILESDIR}/${P}-20_linux_xen.patch" #463992
- "${FILESDIR}/${P}-dmraid.patch" #430748
- "${FILESDIR}/${P}-texinfo.patch"
- "${FILESDIR}/${P}-os-prober-efi-system.patch" #477314
- )
-else
- inherit bzr
- EBZR_REPO_URI="http://bzr.savannah.gnu.org/r/grub/trunk/grub/"
-fi
-
-DESCRIPTION="GNU GRUB boot loader"
-HOMEPAGE="http://www.gnu.org/software/grub/"
-
-LICENSE="GPL-3"
-SLOT="2"
-IUSE="custom-cflags debug device-mapper doc efiemu mount +multislot nls static sdl test truetype libzfs"
-
-GRUB_ALL_PLATFORMS=(
- # everywhere:
- emu
- # mips only:
- qemu-mips yeeloong
- # amd64, x86, ppc, ppc64:
- ieee1275
- # amd64, x86:
- coreboot multiboot efi-32 pc qemu
- # amd64, ia64:
- efi-64
-)
-IUSE+=" ${GRUB_ALL_PLATFORMS[@]/#/grub_platforms_}"
-
-REQUIRED_USE="grub_platforms_qemu? ( truetype )
- grub_platforms_yeeloong? ( truetype )"
-
-# os-prober: Used on runtime to detect other OSes
-# xorriso (dev-libs/libisoburn): Used on runtime for mkrescue
-RDEPEND="
- app-arch/xz-utils
- >=sys-libs/ncurses-5.2-r5
- debug? (
- sdl? ( media-libs/libsdl )
- )
- device-mapper? ( >=sys-fs/lvm2-2.02.45 )
- libzfs? ( sys-fs/zfs )
- mount? ( sys-fs/fuse )
- truetype? (
- media-libs/freetype
- media-fonts/dejavu
- >=media-fonts/unifont-5
- )
- ppc? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )
- ppc64? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )
-"
-DEPEND="${RDEPEND}
- app-misc/pax-utils
- >=dev-lang/python-2.5.2
- sys-devel/flex
- sys-devel/bison
- sys-apps/help2man
- sys-apps/texinfo
- >=sys-devel/autogen-5.10
- static? (
- truetype? (
- app-arch/bzip2[static-libs(+)]
- media-libs/freetype[static-libs(+)]
- sys-libs/zlib[static-libs(+)]
- )
- )
- test? (
- dev-libs/libisoburn
- app-emulation/qemu
- )
-"
-RDEPEND+="
- kernel_linux? (
- grub_platforms_efi-32? ( sys-boot/efibootmgr )
- grub_platforms_efi-64? ( sys-boot/efibootmgr )
- )
- !multislot? ( !sys-boot/grub:0 )
-"
-
-STRIP_MASK="*/grub/*/*.{mod,img}"
-RESTRICT="test"
-
-QA_EXECSTACK="
- usr/bin/grub*
- usr/sbin/grub*
- usr/lib*/grub/*/*.mod
- usr/lib*/grub/*/*.module
- usr/lib*/grub/*/kernel.exec
- usr/lib*/grub/*/kernel.img
-"
-
-QA_WX_LOAD="
- usr/lib*/grub/*/kernel.exec
- usr/lib*/grub/*/kernel.img
- usr/lib*/grub/*/*.image
-"
-
-QA_PRESTRIPPED="
- usr/lib.*/grub/.*/kernel.img
-"
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- # Bug 439082
- if $(tc-getLD) --version | grep -q "GNU gold"; then
- eerror "GRUB does not function correctly when built with the gold linker."
- eerror "Please select the bfd linker with binutils-config."
- die "GNU gold detected"
- fi
- fi
-}
-
-src_prepare() {
- [[ ${PATCHES} ]] && epatch "${PATCHES[@]}"
- sed -i -e /autoreconf/d autogen.sh || die
- if use multislot; then
- # fix texinfo file name, bug 416035
- sed -i -e 's/^\* GRUB:/* GRUB2:/' -e 's/(grub)/(grub2)/' docs/grub.texi || die
- fi
- epatch_user
- bash autogen.sh || die
- autopoint() { return 0; }
- eautoreconf
-}
-
-grub_configure() {
- local platform
-
- case ${MULTIBUILD_VARIANT} in
- efi-32)
- platform=efi
- if [[ ${CTARGET:-${CHOST}} == x86_64* ]]; then
- local CTARGET=${CTARGET:-i386}
- fi ;;
- efi-64)
- platform=efi
- if [[ ${CTARGET:-${CHOST}} == i?86* ]]; then
- local CTARGET=${CTARGET:-x86_64}
- local TARGET_CFLAGS="-Os -march=x86-64 ${TARGET_CFLAGS}"
- local TARGET_CPPFLAGS="-march=x86-64 ${TARGET_CPPFLAGS}"
- export TARGET_CFLAGS TARGET_CPPFLAGS
- fi ;;
- guessed) ;;
- *) platform=${MULTIBUILD_VARIANT} ;;
- esac
-
- local myeconfargs=(
- --disable-werror
- --program-prefix=
- --libdir="${EPREFIX}"/usr/lib
- --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
- $(use_enable debug mm-debug)
- $(use_enable debug grub-emu-usb)
- $(use_enable mount grub-mount)
- $(use_enable nls)
- $(use_enable truetype grub-mkfont)
- $(use_enable libzfs)
- $(use sdl && use_enable debug grub-emu-sdl)
- ${platform:+--with-platform=}${platform}
-
- # Let configure detect this where supported
- $(usex efiemu '' --disable-efiemu)
- )
-
- if use multislot; then
- myeconfargs+=(
- --program-transform-name="s,grub,grub2,"
- --with-grubdir=grub2
- )
- fi
-
- autotools-utils_src_configure
-}
-
-src_configure() {
- use custom-cflags || unset CCASFLAGS CFLAGS CPPFLAGS LDFLAGS
- use static && append-ldflags -static
-
- tc-export CC NM OBJCOPY STRIP
- export TARGET_CC=${TARGET_CC:-${CC}}
-
- # Portage will take care of cleaning up GRUB_PLATFORMS
- MULTIBUILD_VARIANTS=( ${GRUB_PLATFORMS:-guessed} )
- multibuild_parallel_foreach_variant grub_configure
-}
-
-src_compile() {
- # Sandbox bug 404013.
- use libzfs && addpredict /etc/dfs:/dev/zfs
-
- multibuild_foreach_variant autotools-utils_src_compile
-
- use doc && multibuild_for_best_variant \
- autotools-utils_src_compile -C docs html
-}
-
-src_test() {
- # The qemu dependency is a bit complex.
- # You will need to adjust QEMU_SOFTMMU_TARGETS to match the cpu/platform.
- multibuild_foreach_variant autotools-utils_src_test
-}
-
-src_install() {
- multibuild_foreach_variant autotools-utils_src_install \
- bashcompletiondir="$(get_bashcompdir)"
-
- use doc && multibuild_for_best_variant run_in_build_dir \
- emake -C docs DESTDIR="${D}" install-html
-
- if use multislot; then
- mv "${ED%/}"/usr/share/info/grub{,2}.info || die
- fi
-
- insinto /etc/default
- newins "${FILESDIR}"/grub.default-2 grub
-
- cd "${ED}" || die
- pax-mark mpes $(scanelf -BF %F usr/{bin,sbin})
-}
-
-pkg_postinst() {
- elog "For information on how to configure grub-2 please refer to the guide:"
- elog " http://wiki.gentoo.org/wiki/GRUB2_Quick_Start"
- if [[ -z ${REPLACING_VERSIONS} ]]; then
- if ! has_version sys-boot/os-prober; then
- elog "Install sys-boot/os-prober to enable detection of other operating systems using grub2-mkconfig."
- fi
- if ! has_version dev-libs/libisoburn; then
- elog "Install dev-libs/libisoburn to enable creation of rescue media using grub2-mkrescue."
- fi
- fi
-}
diff --git a/sys-boot/grub/grub-2.00_p5107.ebuild b/sys-boot/grub/grub-2.00_p5107.ebuild
deleted file mode 100644
index f2efb9b06481..000000000000
--- a/sys-boot/grub/grub-2.00_p5107.ebuild
+++ /dev/null
@@ -1,264 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/grub-2.00_p5107.ebuild,v 1.1 2013/08/16 00:54:18 floppym Exp $
-
-EAPI=5
-
-if [[ ${PV} == 9999 ]]; then
- AUTOTOOLS_AUTORECONF=1
-fi
-
-inherit autotools-utils bash-completion-r1 eutils flag-o-matic multibuild pax-utils toolchain-funcs versionator
-
-if [[ ${PV} != 9999 ]]; then
- if [[ ${PV} == *_alpha* || ${PV} == *_beta* || ${PV} == *_rc* ]]; then
- MY_P=${P/_/~}
- SRC_URI="mirror://gnu-alpha/${PN}/${MY_P}.tar.xz"
- S=${WORKDIR}/${MY_P}
- else
- SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
- mirror://gentoo/${P}.tar.xz
- http://dev.gentoo.org/~floppym/dist/${P}.tar.xz"
- S=${WORKDIR}/${P%_*}
- fi
- KEYWORDS="~amd64 ~x86"
- PATCHES=()
-else
- inherit bzr
- EBZR_REPO_URI="http://bzr.savannah.gnu.org/r/grub/trunk/grub/"
-fi
-
-DESCRIPTION="GNU GRUB boot loader"
-HOMEPAGE="http://www.gnu.org/software/grub/"
-
-LICENSE="GPL-3"
-SLOT="2"
-IUSE="custom-cflags debug device-mapper doc efiemu mount +multislot nls static sdl test truetype libzfs"
-
-GRUB_ALL_PLATFORMS=(
- # everywhere:
- emu
- # mips only:
- qemu-mips yeeloong
- # amd64, x86, ppc, ppc64:
- ieee1275
- # amd64, x86:
- coreboot multiboot efi-32 pc qemu
- # amd64, ia64:
- efi-64
-)
-IUSE+=" ${GRUB_ALL_PLATFORMS[@]/#/grub_platforms_}"
-
-REQUIRED_USE="grub_platforms_qemu? ( truetype )
- grub_platforms_yeeloong? ( truetype )"
-
-# os-prober: Used on runtime to detect other OSes
-# xorriso (dev-libs/libisoburn): Used on runtime for mkrescue
-RDEPEND="
- app-arch/xz-utils
- >=sys-libs/ncurses-5.2-r5
- debug? (
- sdl? ( media-libs/libsdl )
- )
- device-mapper? ( >=sys-fs/lvm2-2.02.45 )
- libzfs? ( sys-fs/zfs )
- mount? ( sys-fs/fuse )
- truetype? (
- media-libs/freetype
- media-fonts/dejavu
- >=media-fonts/unifont-5
- )
- ppc? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )
- ppc64? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )
-"
-DEPEND="${RDEPEND}
- app-misc/pax-utils
- >=dev-lang/python-2.5.2
- sys-devel/flex
- sys-devel/bison
- sys-apps/help2man
- sys-apps/texinfo
- static? (
- truetype? (
- app-arch/bzip2[static-libs(+)]
- media-libs/freetype[static-libs(+)]
- sys-libs/zlib[static-libs(+)]
- )
- )
- test? (
- dev-libs/libisoburn
- app-emulation/qemu
- )
-"
-RDEPEND+="
- kernel_linux? (
- grub_platforms_efi-32? ( sys-boot/efibootmgr )
- grub_platforms_efi-64? ( sys-boot/efibootmgr )
- )
- !multislot? ( !sys-boot/grub:0 )
-"
-
-if [[ -n ${AUTOTOOLS_AUTORECONF} ]]; then
- DEPEND+=" >=sys-devel/autogen-5.10"
-fi
-
-STRIP_MASK="*/grub/*/*.{mod,img}"
-RESTRICT="test"
-
-QA_EXECSTACK="
- usr/bin/grub*
- usr/sbin/grub*
- usr/lib*/grub/*/*.mod
- usr/lib*/grub/*/*.module
- usr/lib*/grub/*/kernel.exec
- usr/lib*/grub/*/kernel.img
-"
-
-QA_WX_LOAD="
- usr/lib*/grub/*/kernel.exec
- usr/lib*/grub/*/kernel.img
- usr/lib*/grub/*/*.image
-"
-
-QA_PRESTRIPPED="
- usr/lib.*/grub/.*/kernel.img
-"
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- # Bug 439082
- if ! version_is_at_least 4.8 "$(gcc-version)" &&
- $(tc-getLD) --version | grep -q "GNU gold"; then
- eerror "GRUB does not function correctly when built with the gold linker."
- eerror "Please select the bfd linker with binutils-config."
- die "GNU gold detected"
- fi
- fi
-}
-
-src_prepare() {
- [[ ${PATCHES} ]] && epatch "${PATCHES[@]}"
- sed -i -e /autoreconf/d autogen.sh || die
- if use multislot; then
- # fix texinfo file name, bug 416035
- sed -i -e 's/^\* GRUB:/* GRUB2:/' -e 's/(grub)/(grub2)/' docs/grub.texi || die
- fi
- epatch_user
- if [[ -n ${AUTOTOOLS_AUTORECONF} ]]; then
- bash autogen.sh || die
- autopoint() { return 0; }
- eautoreconf
- fi
-}
-
-grub_configure() {
- local platform
-
- case ${MULTIBUILD_VARIANT} in
- efi-32)
- platform=efi
- if [[ ${CTARGET:-${CHOST}} == x86_64* ]]; then
- local CTARGET=${CTARGET:-i386}
- fi ;;
- efi-64)
- platform=efi
- if [[ ${CTARGET:-${CHOST}} == i?86* ]]; then
- local CTARGET=${CTARGET:-x86_64}
- local TARGET_CFLAGS="-Os -march=x86-64 ${TARGET_CFLAGS}"
- local TARGET_CPPFLAGS="-march=x86-64 ${TARGET_CPPFLAGS}"
- export TARGET_CFLAGS TARGET_CPPFLAGS
- fi ;;
- guessed) ;;
- *) platform=${MULTIBUILD_VARIANT} ;;
- esac
-
- local myeconfargs=(
- --disable-werror
- --program-prefix=
- --libdir="${EPREFIX}"/usr/lib
- --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
- $(use_enable debug mm-debug)
- $(use_enable debug grub-emu-usb)
- $(use_enable mount grub-mount)
- $(use_enable nls)
- $(use_enable truetype grub-mkfont)
- $(use_enable libzfs)
- $(use sdl && use_enable debug grub-emu-sdl)
- ${platform:+--with-platform=}${platform}
-
- # Let configure detect this where supported
- $(usex efiemu '' '--disable-efiemu')
- )
-
- if use multislot; then
- myeconfargs+=(
- --program-transform-name="s,grub,grub2,"
- --with-grubdir=grub2
- )
- fi
-
- autotools-utils_src_configure
-}
-
-src_configure() {
- use custom-cflags || unset CCASFLAGS CFLAGS CPPFLAGS LDFLAGS
- use static && append-ldflags -static
-
- if version_is_at_least 4.8 "$(gcc-version)"; then
- export TARGET_LDFLAGS+=" -fuse-ld=bfd"
- fi
-
- tc-export CC NM OBJCOPY STRIP
- export TARGET_CC=${TARGET_CC:-${CC}}
-
- # Portage will take care of cleaning up GRUB_PLATFORMS
- MULTIBUILD_VARIANTS=( ${GRUB_PLATFORMS:-guessed} )
- multibuild_parallel_foreach_variant grub_configure
-}
-
-src_compile() {
- # Sandbox bug 404013.
- use libzfs && addpredict /etc/dfs:/dev/zfs
-
- multibuild_foreach_variant autotools-utils_src_compile
-
- use doc && multibuild_for_best_variant \
- autotools-utils_src_compile -C docs html
-}
-
-src_test() {
- # The qemu dependency is a bit complex.
- # You will need to adjust QEMU_SOFTMMU_TARGETS to match the cpu/platform.
- multibuild_foreach_variant autotools-utils_src_test
-}
-
-src_install() {
- multibuild_foreach_variant autotools-utils_src_install \
- bashcompletiondir="$(get_bashcompdir)"
-
- use doc && multibuild_for_best_variant run_in_build_dir \
- emake -C docs DESTDIR="${D}" install-html
-
- if use multislot; then
- mv "${ED%/}"/usr/share/info/grub{,2}.info || die
- fi
-
- insinto /etc/default
- newins "${FILESDIR}"/grub.default-2 grub
-
- cd "${ED}" || die
- pax-mark mpes $(scanelf -BF %F usr/{bin,sbin})
-}
-
-pkg_postinst() {
- elog "For information on how to configure grub-2 please refer to the guide:"
- elog " http://wiki.gentoo.org/wiki/GRUB2_Quick_Start"
- if [[ -z ${REPLACING_VERSIONS} ]]; then
- if ! has_version sys-boot/os-prober; then
- elog "Install sys-boot/os-prober to enable detection of other operating systems using grub2-mkconfig."
- fi
- if ! has_version dev-libs/libisoburn; then
- elog "Install dev-libs/libisoburn to enable creation of rescue media using grub2-mkrescue."
- fi
- fi
-}
diff --git a/sys-boot/grub/grub-2.02_beta1-r1.ebuild b/sys-boot/grub/grub-2.02_beta1-r1.ebuild
deleted file mode 100644
index e30f9fe017e6..000000000000
--- a/sys-boot/grub/grub-2.02_beta1-r1.ebuild
+++ /dev/null
@@ -1,318 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/grub/grub-2.02_beta1-r1.ebuild,v 1.2 2013/12/24 02:41:11 floppym Exp $
-
-EAPI=5
-
-if [[ ${PV} == 9999 ]]; then
- AUTOTOOLS_AUTORECONF=1
- GRUB_AUTOGEN=1
-fi
-
-if [[ -n ${GRUB_AUTOGEN} ]]; then
- PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )
- inherit python-any-r1
-fi
-
-inherit autotools-utils bash-completion-r1 eutils flag-o-matic mount-boot multibuild pax-utils toolchain-funcs versionator
-
-if [[ ${PV} != 9999 ]]; then
- if [[ ${PV} == *_alpha* || ${PV} == *_beta* || ${PV} == *_rc* ]]; then
- MY_P="${P/_/~}"
- SRC_URI="mirror://gnu-alpha/${PN}/${MY_P}.tar.xz"
- S=${WORKDIR}/${MY_P}
- else
- SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
- mirror://gentoo/${P}.tar.xz
- http://dev.gentoo.org/~floppym/dist/${P}.tar.xz"
- S=${WORKDIR}/${P%_*}
- fi
- KEYWORDS="~amd64 ~x86"
- PATCHES=( "${FILESDIR}/${P}-only-use-scripts-that-are-executable.patch" )
-else
- inherit git-r3
- EGIT_REPO_URI="git://git.sv.gnu.org/grub.git
- http://git.savannah.gnu.org/r/grub.git"
-fi
-
-DEJAVU=dejavu-sans-ttf-2.34
-UNIFONT=unifont-6.3.20131217
-SRC_URI+=" truetype? (
- mirror://sourceforge/dejavu/${DEJAVU}.zip
- http://unifoundry.com/pub/${UNIFONT}/${UNIFONT}.pcf.gz
-)"
-
-DESCRIPTION="GNU GRUB boot loader"
-HOMEPAGE="http://www.gnu.org/software/grub/"
-
-# Includes licenses for dejavu and unifont
-LICENSE="GPL-3 truetype? ( BitstreamVera GPL-2-with-font-exception )"
-SLOT="2"
-IUSE="debug device-mapper doc efiemu mount +multislot nls static sdl test truetype libzfs"
-
-GRUB_ALL_PLATFORMS=(
- # everywhere:
- emu
- # mips only:
- qemu-mips yeeloong
- # amd64, x86, ppc, ppc64:
- ieee1275
- # amd64, x86:
- coreboot multiboot efi-32 pc qemu
- # amd64, ia64:
- efi-64
-)
-IUSE+=" ${GRUB_ALL_PLATFORMS[@]/#/grub_platforms_}"
-
-REQUIRED_USE="grub_platforms_qemu? ( truetype )
- grub_platforms_yeeloong? ( truetype )"
-
-# os-prober: Used on runtime to detect other OSes
-# xorriso (dev-libs/libisoburn): Used on runtime for mkrescue
-RDEPEND="
- app-arch/xz-utils
- >=sys-libs/ncurses-5.2-r5
- debug? (
- sdl? ( media-libs/libsdl )
- )
- device-mapper? ( >=sys-fs/lvm2-2.02.45 )
- libzfs? ( sys-fs/zfs )
- mount? ( sys-fs/fuse )
- truetype? ( media-libs/freetype )
- ppc? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )
- ppc64? ( sys-apps/ibm-powerpc-utils sys-apps/powerpc-utils )
-"
-DEPEND="${RDEPEND}
- ${PYTHON_DEPS}
- app-misc/pax-utils
- sys-devel/flex
- sys-devel/bison
- sys-apps/help2man
- sys-apps/texinfo
- static? (
- app-arch/xz-utils[static-libs(+)]
- truetype? (
- app-arch/bzip2[static-libs(+)]
- media-libs/freetype[static-libs(+)]
- sys-libs/zlib[static-libs(+)]
- )
- )
- test? (
- dev-libs/libisoburn
- app-emulation/qemu
- )
- truetype? ( app-arch/unzip )
-"
-RDEPEND+="
- kernel_linux? (
- grub_platforms_efi-32? ( sys-boot/efibootmgr )
- grub_platforms_efi-64? ( sys-boot/efibootmgr )
- )
- !multislot? ( !sys-boot/grub:0 )
-"
-
-STRIP_MASK="*/grub/*/*.{mod,img}"
-RESTRICT="test"
-
-QA_EXECSTACK="
- usr/bin/grub*-emu*
- usr/lib*/grub/*/*.mod
- usr/lib*/grub/*/*.module
- usr/lib*/grub/*/kernel.exec
- usr/lib*/grub/*/kernel.img
-"
-
-QA_WX_LOAD="
- usr/lib*/grub/*/kernel.exec
- usr/lib*/grub/*/kernel.img
- usr/lib*/grub/*/*.image
-"
-
-QA_PRESTRIPPED="
- usr/lib.*/grub/.*/kernel.img
-"
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- # Bug 439082
- if ! version_is_at_least 4.8 "$(gcc-version)" &&
- $(tc-getLD) --version | grep -q "GNU gold"; then
- eerror "GRUB does not function correctly when built with the gold linker."
- eerror "Please select the bfd linker with binutils-config."
- die "GNU gold detected"
- fi
- fi
-}
-
-src_unpack() {
- if [[ ${PV} == 9999 ]]; then
- git-r3_src_unpack
- fi
- default_src_unpack
-}
-
-src_prepare() {
- [[ ${PATCHES} ]] && epatch "${PATCHES[@]}"
- sed -i -e /autoreconf/d autogen.sh || die
- if use multislot; then
- # fix texinfo file name, bug 416035
- sed -i -e 's/^\* GRUB:/* GRUB2:/' -e 's/(grub)/(grub2)/' docs/grub.texi || die
- fi
- epatch_user
- if [[ -n ${GRUB_AUTOGEN} ]]; then
- python_setup
- bash autogen.sh || die
- fi
- if [[ -n ${AUTOTOOLS_AUTORECONF} ]]; then
- autopoint() { return 0; }
- eautoreconf
- fi
-}
-
-setup_fonts() {
- ln -s "${WORKDIR}/${DEJAVU}/ttf/DejaVuSans.ttf" DejaVuSans.ttf || die
- ln -s "${WORKDIR}/${UNIFONT}.pcf" unifont.pcf || die
-}
-
-grub_configure() {
- local platform
-
- case ${MULTIBUILD_VARIANT} in
- efi-32)
- platform=efi
- if [[ ${CTARGET:-${CHOST}} == x86_64* ]]; then
- local CTARGET=${CTARGET:-i386}
- fi ;;
- efi-64)
- platform=efi
- if [[ ${CTARGET:-${CHOST}} == i?86* ]]; then
- local CTARGET=${CTARGET:-x86_64}
- local TARGET_CFLAGS="-Os -march=x86-64 ${TARGET_CFLAGS}"
- local TARGET_CPPFLAGS="-march=x86-64 ${TARGET_CPPFLAGS}"
- export TARGET_CFLAGS TARGET_CPPFLAGS
- fi ;;
- guessed) ;;
- *) platform=${MULTIBUILD_VARIANT} ;;
- esac
-
- local myeconfargs=(
- --disable-werror
- --program-prefix=
- --libdir="${EPREFIX}"/usr/lib
- --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
- $(use_enable debug mm-debug)
- $(use_enable debug grub-emu-usb)
- $(use_enable device-mapper)
- $(use_enable mount grub-mount)
- $(use_enable nls)
- $(use_enable truetype grub-mkfont)
- $(use_enable libzfs)
- $(use sdl && use_enable debug grub-emu-sdl)
- ${platform:+--with-platform=}${platform}
-
- # Let configure detect this where supported
- $(usex efiemu '' '--disable-efiemu')
- )
-
- if use multislot; then
- myeconfargs+=( --program-transform-name="s,grub,grub2," )
- fi
-
- if use truetype; then
- mkdir -p "${BUILD_DIR}" || die
- run_in_build_dir setup_fonts
- fi
-
- autotools-utils_src_configure
-}
-
-src_configure() {
- # We don't want to leak flags onto boot code.
- export HOST_CCASFLAGS=${CCASFLAGS}
- export HOST_CFLAGS=${CFLAGS}
- export HOST_CPPFLAGS=${CPPFLAGS}
- export HOST_LDFLAGS=${LDFLAGS}
- unset CCASFLAGS CFLAGS CPPFLAGS LDFLAGS
-
- use static && HOST_LDFLAGS+=" -static"
-
- if version_is_at_least 4.8 "$(gcc-version)"; then
- export TARGET_LDFLAGS+=" -fuse-ld=bfd"
- fi
-
- tc-export CC NM OBJCOPY STRIP
- export TARGET_CC=${TARGET_CC:-${CC}}
- tc-export BUILD_CC # Bug 485592
-
- # Portage will take care of cleaning up GRUB_PLATFORMS
- MULTIBUILD_VARIANTS=( ${GRUB_PLATFORMS:-guessed} )
- multibuild_parallel_foreach_variant grub_configure
-}
-
-src_compile() {
- # Sandbox bug 404013.
- use libzfs && addpredict /etc/dfs:/dev/zfs
-
- multibuild_foreach_variant autotools-utils_src_compile
-
- use doc && multibuild_for_best_variant \
- autotools-utils_src_compile -C docs html
-}
-
-src_test() {
- # The qemu dependency is a bit complex.
- # You will need to adjust QEMU_SOFTMMU_TARGETS to match the cpu/platform.
- multibuild_foreach_variant autotools-utils_src_test
-}
-
-src_install() {
- multibuild_foreach_variant autotools-utils_src_install \
- bashcompletiondir="$(get_bashcompdir)"
-
- use doc && multibuild_for_best_variant run_in_build_dir \
- emake -C docs DESTDIR="${D}" install-html
-
- if use multislot; then
- mv "${ED%/}"/usr/share/info/grub{,2}.info || die
- fi
-
- insinto /etc/default
- newins "${FILESDIR}"/grub.default-3 grub
-}
-
-pkg_postinst() {
- mount-boot_mount_boot_partition
-
- if [[ -e "${ROOT%/}/boot/grub2/grub.cfg" && ! -e "${ROOT%/}/boot/grub/grub.cfg" ]]; then
- mkdir -p "${ROOT%/}/boot/grub"
- ln -s ../grub2/grub.cfg "${ROOT%/}/boot/grub/grub.cfg"
- fi
-
- mount-boot_pkg_postinst
-
- elog "For information on how to configure GRUB2 please refer to the guide:"
- elog " http://wiki.gentoo.org/wiki/GRUB2_Quick_Start"
-
- if has_version 'sys-boot/grub:0'; then
- elog "A migration guide for GRUB Legacy users is available:"
- elog " http://www.gentoo.org/doc/en/grub2-migration.xml"
- fi
-
- if [[ -z ${REPLACING_VERSIONS} ]]; then
- if ! has_version sys-boot/os-prober; then
- elog "Install sys-boot/os-prober to enable detection of other operating systems using grub2-mkconfig."
- fi
- if ! has_version dev-libs/libisoburn; then
- elog "Install dev-libs/libisoburn to enable creation of rescue media using grub2-mkrescue."
- fi
- else
- local v
- for v in ${REPLACING_VERSIONS}; do
- if use multislot && ! version_is_at_least 2.00_p5107-r1 ${v}; then
- ewarn "The grub directory has changed from /boot/grub2 to /boot/grub."
- ewarn "Please run grub2-install and grub2-mkconfig -o /boot/grub/grub.cfg."
- break
- fi
- done
- fi
-}